<template>
  <v-container>
    <v-row v-if="this.$vuetify.breakpoint.xl">
      <v-col md="6">
        <student-list />
      </v-col>
      <v-col
        md="6"
        class="right-view"
      >
        <router-view />
      </v-col>
    </v-row>
    <v-row v-else>
      <v-col>
        <student-list @detail-click="openDialog" />
      </v-col>
      <v-dialog
        v-model="dialog"
        fullscreen
        hide-overlay
      >
        <v-card>
          <v-toolbar
            dark
            color="#1a237e"
          >
            <v-btn
              icon
              dark
              @click="dialog = false"
            >
              <v-icon>close</v-icon>
            </v-btn>
            <v-toolbar-title>Submission details</v-toolbar-title>
            <v-spacer />
          </v-toolbar>
          <v-card-text>
            <router-view @refresh="dialog = false" />
          </v-card-text>
        </v-card>
      </v-dialog>
    </v-row>
  </v-container>
</template>

<script>
import StudentList from '@/components/student_list/StudentList'
import StudentListHelpCard from '@/components/student_list/StudentListHelpCard'

export default {
  name: 'StudentOverviewPage',
  components: { StudentList },
  data: () => {
    return {
      dialog: false
    }
  },
  methods: {
    openDialog () {
      this.dialog = true
    }
  }
}
</script>

<style scoped>
  .right-view {
    position: sticky;
    top: 80px;
    overflow-y: scroll;
    height: 90vh;
  }
</style>
